summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/pyyaml
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/targets/pyyaml')
-rw-r--r--test/integration/targets/pyyaml/aliases2
-rwxr-xr-xtest/integration/targets/pyyaml/runme.sh11
2 files changed, 13 insertions, 0 deletions
diff --git a/test/integration/targets/pyyaml/aliases b/test/integration/targets/pyyaml/aliases
new file mode 100644
index 0000000..1d28bdb
--- /dev/null
+++ b/test/integration/targets/pyyaml/aliases
@@ -0,0 +1,2 @@
+shippable/posix/group5
+context/controller
diff --git a/test/integration/targets/pyyaml/runme.sh b/test/integration/targets/pyyaml/runme.sh
new file mode 100755
index 0000000..a664198
--- /dev/null
+++ b/test/integration/targets/pyyaml/runme.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+
+set -eu -o pipefail
+source virtualenv.sh
+set +x
+
+# deps are already installed, using --no-deps to avoid re-installing them
+# Install PyYAML without libyaml to validate ansible can run
+PYYAML_FORCE_LIBYAML=0 pip install --no-binary PyYAML --ignore-installed --no-cache-dir --no-deps PyYAML
+
+ansible --version | tee /dev/stderr | grep 'libyaml = False'